Subject: Re: bug#22629: [PATCH 0/4] 'guix pull' produces a self-contained Guix

From: [email-masked] (Ludovic Courtès)
Date: Wed, 06 Jun 2018 22:49:45 +0200

Konrad Hinsen <[email-masked]> skribis:

>>> I am looking for a reasonably straightforward way to have everything in
>>> my Guix universe (the guix command line tool, emacs-guix, guile, geiser,
>>> ...) consistently use my personal version of the package definitions.
>>
>> Would ‘guix package --manifest’ suffice?  Perhaps along with ‘guix pull
>> --commit=XXX’?
>
> 'guix pull --commit=XXX' would be of use if it works with an URL
> pointing to a local repository (haven't tried yet). I'd also
> have to point GUILE_LOAD_PATH to wherever 'guix pull' stores the source
> code tree, which looks doable as well if that's a stable location.

You can already run “guix pull --commit=X --url=$PWD” or similar, and
modules currently end up ~/.config/guix/latest.

Cheers,
Ludo’.